icon

Sygic GPS Navigation for iOS

Regional paid Premium app without trial option.

Compatibility & Requirements

Sygic Regional GPS Navigation applications for iOS require you to have an Apple iOS device with iOS 8.0 or higher.
Applications are compatible with iPhone, iPad, and iPod touch and optimised mainly for iPhone 5, iPhone 6, and iPhone 6 Plus.

Please note: WiFi-only iPads do not have a GPS receiver built in. Sygic GPS Navigation requires GPS functionality. In this case, it is necessary to have an external, bluetooth GPS receiver paired with your iPad.

Didn't you find a solution or answer?

Submit a request

Back to the section overview

How To Restore Previous Purchases?

Related articles

Submit a request

If you did not find the answer to your question in our FAQ, user guide or video guides section, please contact us by filling in the details below. Our support staff will contact you back via email within 48 hours. Thank you.

You request has been sent! Our support staff will review it and contact you back within the next 48 hours. Thank you.